package
{
	import flash.display.Sprite;
	import flash.net.NetConnection;
	import flash.events.SecurityErrorEvent;
	import flash.events.NetStatusEvent;
	import flash.net.NetStream;
	import flash.media.Video;
	
	public class MySimpleVideo extends Sprite
	{
		private var nc:NetConnection;
		private var ns:NetStream;
		private var _url:String;

		
		public function MySimpleVideo( url:String )
		{
			_url = url;
			
			nc = new NetConnection();
			nc.addEventListener(NetStatusEvent.NET_STATUS, onNetStatus);
			nc.addEventListener(SecurityErrorEvent.SECURITY_ERROR, onSecurityErrorHandler);
			
			
			nc.connect(null);
			
			
			
		}
		
		
		
		private function onNetStatus(evt:NetStatusEvent):void {
			
			
			if (evt.info.code == "NetConnection.Connect.Success" ){
				
				ns = new NetStream(nc);
				
				var client:Object = {};
				client.onMetaData = onMetaData;
				client.onCuePoint = onCuePoint;
				client.onBWDone = onBWDone;
				
				ns.client = client;
				
				
				ns.addEventListener(NetStatusEvent.NET_STATUS, onStreamStatus);
				
				var video:Video = new Video();
				video.smoothing = true;
				addChild(video);
				video.attachNetStream(ns);
				video.x = 200;
				video.y = 200;
				
				
				ns.play(_url);
				
			}
		}
		
		public function dispose():void{
			
			ns.removeEventListener(NetStatusEvent.NET_STATUS, onStreamStatus);
			nc.removeEventListener(NetStatusEvent.NET_STATUS, onNetStatus);
			nc.removeEventListener(SecurityErrorEvent.SECURITY_ERROR, onSecurityErrorHandler);
			
			ns.close();
			ns.dispose();
			
			
		}
		
		protected function onStreamStatus(evt:NetStatusEvent):void
		{
			
			if( evt.info.code == "NetStream.Play.Stop"  ){
				dispatchEvent ( new MyVideoEvent(MyVideoEvent.VIDEO_COMPLETE, true ) );
			}
			
		}
		
		
		//STUBS
		protected function onMetaData(item:Object):void
		{
		}
		protected function onCuePoint(item:Object):void
		{
		}
		protected function onBWDone():void
		{
		}
		private function onSecurityErrorHandler(event:SecurityErrorEvent):void {
		}
		
		
		
	}
}