package
{
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.text.TextField;
	import flash.text.TextFormat;
	
	
	public class VideoTester extends Sprite
	{
		
		private var vid:MySimpleVideo;
		private var report_txt:TextField;
		
		public function VideoTester()
		{
			
			stage.align = StageAlign.TOP_LEFT;
			stage.scaleMode = StageScaleMode.NO_SCALE;
			
			
			report_txt = new TextField();
			report_txt.width = 500;
			report_txt.height = 100;
			
			addChild(report_txt);
			makeOne();
			
			stage.addEventListener(MouseEvent.CLICK, makeAnother);
			
		}
		
		protected function makeAnother(evt:MouseEvent):void
		{
			if ( vid ){
				
				vid.removeEventListener(MyVideoEvent.VIDEO_COMPLETE, heardComplete);
				vid.dispose();
				removeChild( vid );
			}
			
			makeOne();
		}
		
		private function makeOne():void
		{
			log( "made one");
			
			vid = new MySimpleVideo( "media/1000.mp4" );
			vid.x = Math.floor(Math.random() * 300);
			vid.y = 100 + Math.floor(Math.random() * 50);
			addChild( vid );
			
			vid.addEventListener(MyVideoEvent.VIDEO_COMPLETE, heardComplete);
			
		}
		
		protected function heardComplete(evt:MyVideoEvent):void
		{
			log( "video complete!");
		}		
		
		private function log(str:String):void
		{
			report_txt.text = str;
			var fmt:TextFormat = new TextFormat();
			fmt.size = 40;
			report_txt.setTextFormat( fmt );

			// TODO Auto Generated method stub
			
		}
		
	}
}